Subject: [MLS] revising mls-architecture I-D

From: Sean Turner <[email-masked]>
Date: Thu, 12 Nov 2020 13:12:18 -0500

Hi!

Now that the WG is winding down on the mls-protocol I-D, the WG will shift its focus to the mls-architecture I-D. There is really no way the mls-protocol I-D could progress beyond the WG (i.e., to IETF LC and subsequent IESG review) without the mls-architecture I-D because the mls-architecture I-D provides detail the IESG would ask for. For the next version of the mls-architecture draft, the chairs are proposing that the authors submit a version that the authors believe brings the I-D up to date (i.e., fast-forward it). After that version is posted, the WG can then do its thing: provide comments on the new I-D, discuss the comments and how to resolve them, and reach consensus on the final text. We can use virtual interim meetings to work through thorny issues because sometimes voice is better than email; we need to be clear about the properties provided when combining the various options mls provides or we are going to have a tough time getting through the rest of the IETF standardization process.

Part of this effort is going to be a pretty aggressive stance on closing existing issues in both GitHub and the I-D. Many are just stale. Some will be addressed either in part or entirely by the next version. If we are too aggressive in closing issues in this phase, have no fear we can always reintroduce them and the WG will do its thing (see above).

Stay tuned for a new version of the mls-architecture I-D!

Cheers,

Nick and Sean